__alpm_handle_t(3)

NAME
__alpm_handle_t -

SYNOPSIS

  Data Fields
alpm_db_t * db_local
alpm_list_t * dbs_sync
FILE * logstream
alpm_trans_t * trans
CURL * curl
alpm_list_t * known_keys
alpm_cb_log logcb
alpm_cb_download dlcb
alpm_cb_totaldl totaldlcb
alpm_cb_fetch fetchcb
alpm_cb_event eventcb
alpm_cb_question questioncb
alpm_cb_progress progresscb
char * root
char * dbpath
char * logfile
char * lockfile
char * gpgdir
alpm_list_t * cachedirs
alpm_list_t * hookdirs
alpm_list_t * noupgrade
alpm_list_t * noextract
alpm_list_t * ignorepkg
alpm_list_t * ignoregroup
alpm_list_t * assumeinstalled
char * arch
double deltaratio
int usesyslog
int checkspace
char * dbext
alpm_siglevel_t siglevel
alpm_siglevel_t localfilesiglevel
alpm_siglevel_t remotefilesiglevel
alpm_errno_t pm_errno
int lockfd
int delta_regex_compiled
regex_t delta_regex

Author

Generated automatically by Doxygen for libalpm from the source code.